apiVersion: v1
kind: List
items:
- apiVersion: image.openshift.io/v1
  kind: ImageStream
  metadata:
    name: ssvg-engine
  spec:
    lookupPolicy:
      local: true
    tags:
    - name: latest
      from:
        kind: DockerImage
        name: gitlab-registry.cern.ch/mro/common/www/ssvg-engine:latest
      importPolicy:
        scheduled: true
      referencePolicy:
        type: Source
- apiVersion: v1
  kind: ConfigMap
  data:
    config.json: |
      {
        "basePath": "/ssvg-engine"
      }
  metadata:
    name: ssvg-engine-config
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      image.openshift.io/triggers: |-
        [{
          "from": {"kind":"ImageStreamTag","name":"ssvg-engine:latest"},
          "fieldPath":"spec.template.spec.containers[0].image"
        }]
    labels:
      app: ssvg-engine
    name: ssvg-engine
  spec:
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: ssvg-engine
    template:
      metadata:
        labels:
          app: ssvg-engine
      spec:
        containers:
        - name: ssvg-engine
          image: ssvg-engine:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
              protocol: TCP
          volumeMounts:
            - mountPath: "/etc/app"
              name: "config"
        volumes:
          - configMap:
              defaultMode: 420
              name: ssvg-engine-config
            name: config
- apiVersion: v1
  kind: Service
  metadata:
    labels:
      app: ssvg-engine
    name: ssvg-engine
  spec:
    ports:
      - name: 8080-tcp
        port: 8080
        protocol: TCP
        targetPort: 8080
    selector:
      app: ssvg-engine
    sessionAffinity: None
    type: ClusterIP
- apiVersion: "route.openshift.io/v1"
  kind: "Route"
  metadata:
    annotations:
      haproxy.router.openshift.io/ip_whitelist: ''
      router.cern.ch/network-visibility: Internet
    labels:
      app: "ssvg-engine"
    name: "ssvg-engine"
  spec:
    host: "mro-dev.web.cern.ch"
    path: "/ssvg-engine"
    port:
      targetPort: 8080
    tls:
      insecureEdgeTerminationPolicy: "Redirect"
      termination: "edge"
    to:
      kind: "Service"
      name: "ssvg-engine"
      weight: 100
    wildcardPolicy: "None"
